from airflow_config import DAG, load_config


class TestConfig:
    def test_cleanup_task(self):
        conf = load_config("config", "config")
        d = DAG(dag_id="test_cleanup", config=conf)
        assert len(d.tasks) == 1

    def test_cleanup_render(self):
        conf = load_config("config", "config")
        assert (
            conf.dags["test_cleanup"].render()
            == """# Generated by airflow-config
from airflow.models import DAG
from airflow.models.param import Param
from airflow_common_operators.tasks.dag_clean import create_cleanup_dag_runs

with DAG(
    schedule="0 0 * * *",
    max_active_tasks=1,
    params={
        "delete_successful": Param(True, title="Delete Successful", description=None, type="boolean"),
        "delete_failed": Param(True, title="Delete Failed", description=None, type="boolean"),
        "mark_failed_as_successful": Param(False, title="Mark Failed As Successful", description=None, type="boolean"),
        "max_dagruns": Param(10, title="Max Dagruns", description=None, type="integer"),
        "days_to_keep": Param(10, title="Days To Keep", description=None, type="integer"),
    },
    dag_id="test_cleanup",
) as dag:
    cleanup_task = create_cleanup_dag_runs(task_id="cleanup_task", dag=dag)
"""
        )
